import { JSX } from "solid-js";

export function TonalButton(props: {
    children?: Array<JSX.Element> | JSX.Element,
    class?: string,
    type?: "button" | "input",
}) {
    return (
        <button
            class="bg-c-surface-variant text-c-on-surface-variant px-4 py-2 rounded-full cursor-pointer mt-4
                    disabled:opacity-50 disabled:cursor-not-allowed"
        >
            {props.children}
        </button>
    );
}
